# PSF-LoginServer - master - net.psforever.services.teamwork.SquadResponse
PSF - LoginServer - master - net.psforever.services.teamwork.SquadResponse
Keywords: PSF LoginServer master net.psforever.services.teamwork.SquadResponse

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package services
  Definition Classes
    psforever
-  package teamwork
  Definition Classes
    services
- SquadAction
- SquadResponse
- SquadService
- SquadServiceMessage
- SquadServiceResponse
- SquadSwitchboard

o

net.psforever.services.teamwork

# SquadResponse

###

#### object SquadResponse

Source
  SquadServiceResponse.scala

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. SquadResponse
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Type Members

1.  final case class AssignMember (squad: Squad, from_index: Int, to_index: Int) extends Response with Product with Serializable
2.  final case class AssociateWithSquad (squad_guid: PlanetSideGUID) extends Response with Product with Serializable
3.  final case class Detail (guid: PlanetSideGUID, squad_detail: SquadDetail) extends Response with Product with Serializable
4.  final case class InitList (info: Vector[SquadInfo]) extends Response with Product with Serializable
5.  final case class InitWaypoints (char_id: Long, waypoints: Iterable[(SquadWaypoint, WaypointInfo, Int)]) extends Response with Product with Serializable
6.  final case class Join (squad: Squad, positionsToUpdate: List[Int], channel: String) extends Response with Product with Serializable
7.  final case class Leave (squad: Squad, positionsToUpdate: List[(Long, Int)]) extends Response with Product with Serializable
8.  final case class ListSquadFavorite (line: Int, task: String) extends Response with Product with Serializable
9.  final case class Membership (request_type: types.SquadResponseType.Value, unk1: Int, unk2: Int, unk3: Long, unk4: Option[Long], player_name: String, unk5: Boolean, unk6: Option[Option[String]]) extends Response with Product with Serializable
10.  final case class PromoteMember (squad: Squad, char_id: Long, from_index: Int, to_index: Int) extends Response with Product with Serializable
11.  final case class RemoveFromList (infos: Iterable[Int]) extends Response with Product with Serializable
12.  sealed trait Response extends AnyRef
13.  final case class SetListSquad (squad_guid: PlanetSideGUID) extends Response with Product with Serializable
14.  final case class SquadSearchResults () extends Response with Product with Serializable
15.  final case class UpdateList (infos: Iterable[(Int, SquadInfo)]) extends Response with Product with Serializable
16.  final case class UpdateMembers (squad: Squad, update_info: List[Update]) extends Response with Product with Serializable
17.  final case class WantsSquadPosition (leader_char_id: Long, bid_name: String) extends Response with Product with Serializable
18.  final case class WaypointEvent (event_type: packet.game.WaypointEventAction.Value, char_id: Long, waypoint_type: SquadWaypoint, unk5: Option[Long], waypoint_info: Option[WaypointInfo], unk: Int) extends Response with Product with Serializable

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
7.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
8.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
9.  final def getClass(): Class[_ <: AnyRef]
   Definition Classes
     AnyRef → Any
   Annotations
     @native()
10.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
12.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
14.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
16.  def toString(): String
    Definition Classes
      AnyRef → Any
17.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
18.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
19.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped